Audit events of a case
GET
/api/v1/cases/{id}/audit
const url = 'https://example.com/api/v1/cases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/audit?limit=50';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/cases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/audit?limit=50'Events in order of occurrence; the cursor continues after the last event seen.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
Id
string format: uuid
Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
AuditListResponse
Audit events of a case.
object
items
required
Items
Array<object>
AuditEventOne audit record; events are never edited.
Example generated
{ "items": [ { "action": "example", "actor": "example", "created_at": "2026-04-15T12:00:00Z", "id": 1, "payload": {}, "request_id": "example" } ], "next_cursor": "example"}Not Found
Problem
Application/problem+json body. Extension members (for example job_id) are allowed.
object
errors
Any of:
Array<object>
FieldErrorOne validation failure: where, what, and a stable machine code (never the input value).
object
loc
required
Loc
Array
msg
required
Msg
string
type
required
Type
string
null
request_id
required
Request Id
string
status
required
Status
integer
title
required
Title
string
type
Type
string
key
additional properties
any
Example
{ "type": "about:blank"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}Map data © OpenStreetMap contributors, under the Open Database Licence. Code under the Apache-2.0 licence. Made by Yogesh.
Changeset Second Opinion is an independent open source tool for OpenStreetMap reviewers. It is not endorsed by, sponsored by or affiliated with the OpenStreetMap Foundation. OpenStreetMap is a trademark of the OpenStreetMap Foundation, used under itstrademark policy.